//
// A mobile first implementation for http://typecast.com/blog/a-more-modern-scale-for-web-typography
// ====================
//
//

body h1 h2 h3, h4, h5
font-size-adjust 0.5

body
  font-size 100%

h1
  font-size 2em
  line-height 1.25

  @media only screen and (max-width: 399px) // phablet breakpoint
    font-size 2.5em
    line-height 1.125

  @media only screen and (max-width: 699px) // tablet and desktop breakpoint
    font-size 3em
    line-height 1.05

h2
  font-size 1.625em
  line-height 1.15384615

  @media only screen and (max-width: 399px) // phablet breakpoint
    font-size 2em
    line-height 1.25

  @media only screen and (max-width: 699px) // tablet and desktop breakpoint
    font-size 2.25em
    line-height 1.25

h3
  font-size 1.375em
  line-height 1.13636364

  @media only screen and (max-width: 399px) // phablet breakpoint
    font-size 1.5em
    line-height 1.25

  @media only screen and (max-width: 699px) // tablet and desktop breakpoint
    font-size 1.75em
    line-height 1.25

h4
  font-size 1.125em
  line-height 1.11111111

  @media only screen and (max-width: 399px) // phablet breakpoint
    line-height 1.22222222

  @media only screen and  (max-width: 699px) // tablet and desktop breakpoint
    line-height 1.22222222

